## golang-github-opencontainers-selinux 1.0.0~rc1%2Bgit20170621.5.4a2974b

=== Makefile ===
BUILDTAGS := selinux

check-gopath:
ifndef GOPATH
	$(error GOPATH is not set)
endif

.PHONY: test
test: check-gopath
	go test -timeout 3m -tags "${BUILDTAGS}" ${TESTFLAGS} -v ./...

.PHONY:
lint:
	@out="$$(golint go-selinux)"; \
	if [ -n "$$out" ]; then \
		echo "$$out"; \
		exit 1; \
	fi

## golang-github-opencontainers-selinux 1.0.0~rc1+git20170621.5.4a2974b

=== debian/changelog ===
golang-github-opencontainers-selinux (1.0.0~rc1+git20170621.5.4a2974b-1) unstable; urgency=medium

  * Initial release (Closes: #872440)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 17 Aug 2017 18:32:33 +0200

=== debian/control ===
Source: golang-github-opencontainers-selinux
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <rbalint@ubuntu.com>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any
Standards-Version: 4.0.0
Homepage: https://github.com/opencontainers/selinux
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-opencontainers-selinux.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-opencontainers-selinux.git
XS-Go-Import-Path: github.com/opencontainers/selinux
Testsuite: autopkgtest-pkg-go

Package: golang-github-opencontainers-selinux-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: common selinux implementation
 Common SELinux package used across the container ecosystem.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-opencontainers-selinux-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/opencontainers/selinux/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-opencontainers-selinux 1.0.0

=== debian/changelog ===
golang-github-opencontainers-selinux (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 07 Jul 2019 17:17:48 -0400

golang-github-opencontainers-selinux (1.0.0-1) experimental; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * Standards-Version: 4.1.4; Priority: optional.

  [ Reinhard Tartler ]
  * New upstream version (Closes: #901745).

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 11 Jan 2019 16:53:23 -0500

=== debian/control ===
Source: golang-github-opencontainers-selinux
Section: devel
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Priority: optional
Uploaders: Balint Reczey <rbalint@ubuntu.com>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any
Standards-Version: 4.1.4
Homepage: https://github.com/opencontainers/selinux
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-selinux
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-selinux.git
XS-Go-Import-Path: github.com/opencontainers/selinux
Testsuite: autopkgtest-pkg-go

Package: golang-github-opencontainers-selinux-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: common selinux implementation
 Common SELinux package used across the container ecosystem.

## golang-github-opencontainers-selinux 1.3.0

=== debian/changelog ===
golang-github-opencontainers-selinux (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit for CVE-2019-16884 (Closes: #942027).
  * Remove unused lintian override.

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 10 Oct 2019 02:01:26 +0800

golang-github-opencontainers-selinux (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.4.0.
  * DH & compat to version 12.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 09 Sep 2019 15:07:59 +1000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: devel
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Priority: optional
+Standards-Version: 4.4.0
 Uploaders: Balint Reczey <rbalint@ubuntu.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12~),
                dh-golang,
                golang-any
-Standards-Version: 4.1.4
 Homepage: https://github.com/opencontainers/selinux
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-selinux
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-selinux.git

## golang-github-opencontainers-selinux 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+export GO111MODULE=off
+GO ?= go
 BUILDTAGS := selinux
 
 check-gopath:
@@ -8,6 +10,7 @@
 .PHONY: test
 test: check-gopath
 	go test -timeout 3m -tags "${BUILDTAGS}" ${TESTFLAGS} -v ./...
+	go test -timeout 3m ${TESTFLAGS} -v ./...
 
 .PHONY:
 lint:
@@ -16,3 +19,9 @@
 		echo "$$out"; \
 		exit 1; \
 	fi
+
+vendor:
+	export GO111MODULE=on \
+		$(GO) mod tidy && \
+		$(GO) mod vendor && \
+		$(GO) mod verify

=== debian/changelog ===
golang-github-opencontainers-selinux (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.1
  * Exclude vendor dir from upstream tarball
  * Switch to debhelper-compat syntax
  * Add Rules-Requires-Root
  * Update Standards-Version to 4.5.0 (no changes)
  * Remove patches applied by upstream

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 29 Jan 2020 00:45:25 +0800

=== debian/control ===
Source: golang-github-opencontainers-selinux
Section: devel
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Priority: optional
Standards-Version: 4.5.0
Uploaders: Balint Reczey <rbalint@ubuntu.com>,
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
Homepage: https://github.com/opencontainers/selinux
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-selinux
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-selinux.git
XS-Go-Import-Path: github.com/opencontainers/selinux
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-github-opencontainers-selinux-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: common selinux implementation
 Common SELinux package used across the container ecosystem.

## golang-github-opencontainers-selinux 1.5.1

=== Makefile ===
export GO111MODULE=off
GO ?= go
BUILDTAGS := selinux

all: build build-cross

define go-build
	GOOS=$(1) GOARCH=$(2) $(GO) build -tags $(BUILDTAGS) ./...
endef

define go-build-noselinux
	GOOS=$(1) GOARCH=$(2) $(GO) build ./...
endef

.PHONY:
build:
	$(call go-build,linux,amd64)

.PHONY:
build-cross:
	$(call go-build,linux,386)
	$(call go-build,linux,arm)
	$(call go-build,linux,arm64)
	$(call go-build,linux,ppc64le)
	$(call go-build,linux,s390x)
	$(call go-build,windows,amd64)
	$(call go-build,windows,386)
	$(call go-build-noselinux,linux,amd64)
	$(call go-build-noselinux,linux,arm)
	$(call go-build-noselinux,linux,arm64)
	$(call go-build-noselinux,linux,ppc64le)
	$(call go-build-noselinux,linux,s390x)
	$(call go-build-noselinux,windows,amd64)
	$(call go-build-noselinux,windows,386)

BUILD_PATH := $(shell pwd)/build
BUILD_BIN_PATH := ${BUILD_PATH}/bin
GOLANGCI_LINT := ${BUILD_BIN_PATH}/golangci-lint

check-gopath:
ifndef GOPATH
	$(error GOPATH is not set)
endif

.PHONY: test
noselinux:=$(shell mktemp /tmp/noselinux_XXXX)
selinux:=$(shell mktemp /tmp/selinux_XXXX)
test: check-gopath
	grep '^func [A-Z].*' go-selinux/selinux_stub.go > ${noselinux}
	grep '^func [A-Z].*' go-selinux/selinux_linux.go > ${selinux}
	diff ${noselinux} ${selinux}
	rm -f ${noselinux} ${selinux}
	go test -timeout 3m -tags "${BUILDTAGS}" ${TESTFLAGS} -v ./...
	go test -timeout 3m ${TESTFLAGS} -v ./...

${GOLANGCI_LINT}:
	export \
		VERSION=v1.23.7 \
		URL=https://raw.githubusercontent.com/golangci/golangci-lint \
		BINDIR=${BUILD_BIN_PATH} && \
	curl -sfL $$URL/$$VERSION/install.sh | sh -s $$VERSION

.PHONY:
lint: ${GOLANGCI_LINT}
	${GOLANGCI_LINT} version
	${GOLANGCI_LINT} linters
	${GOLANGCI_LINT} run

vendor:
	export GO111MODULE=on \
		$(GO) mod tidy && \
		$(GO) mod vendor && \
		$(GO) mod verify

=== debian/changelog ===
golang-github-opencontainers-selinux (1.5.1-2) unstable; urgency=medium

  * Team upload.
  * upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 09 Jul 2020 07:33:22 -0400

golang-github-opencontainers-selinux (1.5.1-1) experimental; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Reinhard Tartler ]
  * New upstream version 1.5.1 (Closes: #958217)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 19 Apr 2020 17:28:14 -0400

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
+               golang-github-pkg-errors-dev,
 Homepage: https://github.com/opencontainers/selinux
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-selinux
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-selinux.git

## golang-github-opencontainers-selinux 1.6.0

=== debian/changelog ===
golang-github-opencontainers-selinux (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.0
  * Bump debhelper-compat to 13
  * Add missing Depends when building with selinux tags

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 17 Aug 2020 23:10:54 +0800

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,12 @@
 Priority: optional
 Standards-Version: 4.5.0
 Uploaders: Balint Reczey <rbalint@ubuntu.com>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-pkg-errors-dev,
+               golang-github-willf-bitset-dev,
+               golang-golang-x-sys-dev,
 Homepage: https://github.com/opencontainers/selinux
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-selinux
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-selinux.git
@@ -17,7 +19,10 @@
 
 Package: golang-github-opencontainers-selinux-dev
 Architecture: all
-Depends: ${misc:Depends},
+Depends: golang-github-pkg-errors-dev,
+         golang-github-willf-bitset-dev,
+         golang-golang-x-sys-dev,
+         ${misc:Depends},
          ${shlibs:Depends},
 Description: common selinux implementation
  Common SELinux package used across the container ecosystem.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -- -tags selinux

## golang-github-opencontainers-selinux 1.8.0

=== debian/changelog ===
golang-github-opencontainers-selinux (1.8.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.8.0
  * Drop build tag selinux
  * Set section to golang
  * Update gitlab-ci.yml

 -- Arnaud Rebillout <elboulangero@gmail.com>  Wed, 06 Jan 2021 22:11:06 +0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: golang-github-opencontainers-selinux
-Section: devel
+Section: golang
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Priority: optional
 Standards-Version: 4.5.0

## golang-github-opencontainers-selinux 1.8.5

=== debian/changelog ===
golang-github-opencontainers-selinux (1.8.5-1) unstable; urgency=medium

  * Team upload
  * Bump uscan version to 4
  * New upstream version 1.8.5
  * Update Standards-Version to 4.6.0 (no changes)
  * Backport patch to drop bitset dependency
  * Remove unused Depends

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 23 Sep 2021 23:14:03 +0800

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,11 @@
 Section: golang
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Uploaders: Balint Reczey <rbalint@ubuntu.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-pkg-errors-dev,
-               golang-github-willf-bitset-dev,
                golang-golang-x-sys-dev,
 Homepage: https://github.com/opencontainers/selinux
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-opencontainers-selinux
@@ -19,9 +17,7 @@
 
 Package: golang-github-opencontainers-selinux-dev
 Architecture: all
-Depends: golang-github-pkg-errors-dev,
-         golang-github-willf-bitset-dev,
-         golang-golang-x-sys-dev,
+Depends: golang-golang-x-sys-dev,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: common selinux implementation

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/@PACKAGE@-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/opencontainers/selinux/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-opencontainers-selinux 1.10.0%2Bds1

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 
 Package: golang-github-opencontainers-selinux-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: golang-golang-x-sys-dev,
          ${misc:Depends},
          ${shlibs:Depends},

## golang-github-opencontainers-selinux 1.10.0+ds1

=== Makefile ===
GO ?= go

all: build build-cross

define go-build
	GOOS=$(1) GOARCH=$(2) $(GO) build ${BUILDFLAGS} ./...
endef

.PHONY: build
build:
	$(call go-build,linux,amd64)

.PHONY: build-cross
build-cross:
	$(call go-build,linux,386)
	$(call go-build,linux,arm)
	$(call go-build,linux,arm64)
	$(call go-build,linux,ppc64le)
	$(call go-build,linux,s390x)
	$(call go-build,linux,mips64le)
	$(call go-build,windows,amd64)
	$(call go-build,windows,386)


.PHONY: test
test:
	go test -timeout 3m ${TESTFLAGS} -v ./...

.PHONY: lint
lint:
	golangci-lint run

.PHONY: vendor
vendor:
	$(GO) mod tidy
	$(GO) mod vendor
	$(GO) mod verify

=== debian/changelog ===
golang-github-opencontainers-selinux (1.10.0+ds1-1) unstable; urgency=medium

  * Team upload
  * Add +ds1 repack suffix
  * New upstream version 1.10.0+ds1
  * Add Multi-Arch hint

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 24 Feb 2022 02:10:26 +0800

=== debian/watch ===
version=4
opts="dversionmangle=auto, repacksuffix=+ds1, \
      filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
  https://github.com/opencontainers/selinux/tags \
  .*/v?@ANY_VERSION@\.tar\.gz debian

## golang-github-opencontainers-selinux 1.11.0+ds1

=== Makefile ===
--- 
+++ 
@@ -33,5 +33,4 @@
 .PHONY: vendor
 vendor:
 	$(GO) mod tidy
-	$(GO) mod vendor
 	$(GO) mod verify

=== debian/changelog ===
golang-github-opencontainers-selinux (1.11.0+ds1-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Nilesh Patra <nilesh@debian.org>  Fri, 20 Oct 2023 03:31:15 +0530

golang-github-opencontainers-selinux (1.11.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 09 Sep 2023 11:24:56 -0400

golang-github-opencontainers-selinux (1.11.0+ds1-1) experimental; urgency=medium

  * New upstream version 1.11.0+ds1

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 04 Sep 2023 08:05:03 -0400

## golang-github-opencontainers-selinux 1.11.1

=== debian/changelog ===
golang-github-opencontainers-selinux (1.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Drop the +ds1 suffix, nothing to strip from upstream sources
  * Bump Standards Version

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 08 Nov 2024 17:47:07 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: golang
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Uploaders: Balint Reczey <rbalint@ubuntu.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-golang,

=== debian/watch ===
version=4
opts="dversionmangle=auto" \
  https://github.com/opencontainers/selinux/tags \
  .*/v?@ANY_VERSION@\.tar\.gz debian
